> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy danh sách mã Phái Sinh

> Lấy danh sách mã Phái Sinh.



## OpenAPI

````yaml /vi/openapi/entrade-v1.yaml get /derivatives
openapi: 3.1.0
info:
  title: Entrade Open API
  version: 1.0.0
  description: Đặc tả được trích xuất từ các request Bruno trong `collections/Entrade`.
servers:
  - url: https://services.entrade.com.vn/entrade-api
    description: Môi trường production
  - url: https://services-staging.entrade.com.vn/papertrade-entrade-api
    description: Môi trường staging
security:
  - BearerAuth: []
tags:
  - name: authentication
    description: API đăng nhập và cấp JWT token.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và cấu hình rủi ro.
    x-group: Tài khoản
  - name: derivatives
    description: Giao dịch, sức mua, gói vay và vị thế phái sinh.
    x-group: Phái sinh
  - name: smart-order
    description: Lệnh điều kiện trên dịch vụ Smart Order.
    x-group: Smart Order
paths:
  /derivatives:
    get:
      tags:
        - derivatives
      summary: Lấy danh sách mã Phái Sinh
      description: Lấy danh sách mã Phái Sinh.
      operationId: listDerivativeContracts
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativeContractPage'
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    DerivativeContractPage:
      type: object
      properties:
        total:
          type: number
          description: Tổng số mã phái sinh
        data:
          type: array
          description: Danh sách các mã phái sinh
          items:
            type: object
            properties:
              symbol:
                type: string
                description: Mã phái sinh (ví dụ "VN30F2504")
              type:
                type: string
                description: Loại mã (ví dụ "VN30F1M")
              marketPrice:
                type: number
                description: Giá thị trường
              ceilingPrice:
                type: number
                description: Giá trần
              floorPrice:
                type: number
                description: Giá sàn
              basicPrice:
                type: number
                description: Giá tham chiếu
              modifiedDate:
                type: string
              expirationDate:
                type: string
              id:
                type: string
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        status:
          type: number
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalError:
      description: Lỗi máy chủ
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token lấy từ API đăng nhập.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.